
package com.lideeyunji.tool.framework.sql.build.build.dql;

import com.lideeyunji.tool.framework.sql.build.ISQLExpression;
import com.lideeyunji.tool.framework.sql.build.buildmodel.SQLInterpretContext;
import com.lideeyunji.tool.framework.sql.build.buildmodel.dql.SqlInfoPublicModel;
import com.lideeyunji.tool.framework.sql.core.model.SqlFormatModel;
import net.sf.jsqlparser.JSQLParserException;

/**
 * 通用sql
 */
public class BuildPublicSql implements ISQLExpression<SqlFormatModel> {



    @Override
    public SqlFormatModel interpret(SQLInterpretContext context) throws JSQLParserException {
        SqlInfoPublicModel sqlInfo = context.getPublicModel();
        String sql = sqlInfo.getSql();//获取原有的sql
        return new SqlFormatModel(sql);

    }



}
